serverless:build:
  image: docker:19.03.11
  services:
    - docker:19.03.11-dind
  stage: build
  script:
    - echo "Build serverless image with preinstalled node modules dependency"
    - registry_login
    - serverless_set_directory
    - build_docker $SERVERLESS_DIR
  only:
    changes:
      - $SERVERLESS_DIR/package.json
      - $SERVERLESS_DIR/Dockerfile
      - gitlab-ci/Jobs/Serverless-Build.gitlab-ci.yml
